function u = getErrorPropagatedUncertainty( eqSym, ...
                                            varToDiffSym, ...
                                            u_varToDiff, ...
                                            eqSymScalarParams, ...
                                            eqSymArrParams, ...
                                            eqSymScalarArgs, ...
                                            eqSymArrArgs )
    thetaSym = diff( eqSym, varToDiffSym );

    uSym = thetaSym * u_varToDiff;
    
    u = solveEquation( uSym, ...
                       eqSymScalarParams, ...
                       eqSymArrParams, ...
                       eqSymScalarArgs, ...
                       eqSymArrArgs );
end